## naev 0.8.2

=== meson_options.txt ===
option('paranoid'    , type: 'boolean', value: false    , description: 'Promote run-time warnings to errors.')
option('executable'  , type: 'feature', value: 'enabled', description: 'Enable compilation of Naev\'s executable.')
option('docs_c'      , type: 'feature', value: 'auto'   , description: 'Enable compilation of Naev\'s C documentation.')
option('docs_lua'    , type: 'feature', value: 'auto'   , description: 'Enable compilation of Naev\'s Lua documentation.')
option('luajit'      , type: 'feature', value: 'auto'   , description: 'Enable LuaJIT rather than standard Lua.')
option('openal'      , type: 'feature', value: 'auto'   , description: 'Enable OpenAL audio backend.')
option('sdl_mixer'   , type: 'feature', value: 'enabled', description: 'Enable SDL Mixer audio backend.')
option('nls'         , type: 'feature', value: 'enabled', description: 'Enable NLS translations.')
option('ndata_path'  , type: 'string' , value: ''       , description: 'Set the path ndata will be installed to (relative to the install prefix).')

## naev 0.7.0

=== debian/changelog ===
naev (0.7.0-3build1) focal; urgency=medium

  * No-change rebuild with fixed binutils on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 08 Feb 2020 11:12:24 +0000

naev (0.7.0-3) unstable; urgency=medium

  * Remove binutils-dev build dependency (Closes: #949571)

 -- Federico Ceratto <federico@debian.org>  Sat, 25 Jan 2020 17:27:10 +0000

naev (0.7.0-2) unstable; urgency=medium

  [ Bruno "Fuddl" Kleinert ]
  * Add dependencies between naev and naev-data (Closes: #914584)
  * Install application icon for desktop menu entry (Closes: #914589)
  * Add German desktop file translation.

  [ Federico Ceratto ]
  * Set supported architectures

 -- Federico Ceratto <federico@debian.org>  Sun, 25 Nov 2018 19:04:15 +0000

naev (0.7.0-1) unstable; urgency=medium

  * Initial release (Closes: #523834)

 -- Federico Ceratto <federico@debian.org>  Thu, 23 Aug 2018 19:14:01 +0100

=== debian/control ===
Source: naev
Section: games
Priority: optional
Maintainer: Federico Ceratto <federico@debian.org>
Build-Depends: debhelper-compat (= 12),
 automake,
 autopoint,
 intltool,
 libfreetype6-dev,
 libgl1-mesa-dev,
 libiberty-dev,
 liblua5.1-dev,
 libopenal-dev,
 libpng-dev,
 libsdl2-dev,
 libsdl2-image-dev,
 libvorbis-dev,
 libxml2-dev
Standards-Version: 4.5.0
Homepage: http://naev.org
Vcs-Browser: https://salsa.debian.org/debian/naev
Vcs-Git: https://salsa.debian.org/debian/naev.git

Package: naev
Architecture: alpha amd64 arm64 armel armhf hppa i386 ia64 m68k mips mips64el mipsel powerpc powerpcspe ppc64 ppc64el riscv64 s390x sh4 sparc64 x32
Depends: ${shlibs:Depends}, ${misc:Depends},
 naev-data (= ${source:Version})
Description: 2D action/rpg space game
 2D space trading and combat game, in a similar vein to Escape Velocity. Naev
 is played from a top-down perspective, featuring fast-paced combat, many
 ships, a large variety of equipment and a large galaxy to explore.
 The game is open-ended, letting you proceed at your own pace.

Package: naev-data
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: naev
Description: 2D action/rpg space game - game data
 2D space trading and combat game, in a similar vein to Escape Velocity. Naev
 is played from a top-down perspective, featuring fast-paced combat, many
 ships, a large variety of equipment and a large galaxy to explore.
 The game is open-ended, letting you proceed at your own pace.
 This packages contains architecture-independent game data.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_clean:
	dh_clean
	find . -name '*.o' -delete
	find . -name '*.a' -delete

override_dh_auto_configure:
	dh_auto_configure -- --with-libzip=no --enable-lua=shared --disable-debug

=== debian/watch ===
version=4

https://github.com/naev/naev/releases naev/naev-(\d\S+)\.tar\.gz

## naev 0.8.0

=== debian/changelog ===
naev (0.8.0-1) unstable; urgency=medium

  * New upstream release (Closes: #957575)
  * Use secure URI in Homepage field.
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Federico Ceratto <federico@debian.org>  Sun, 27 Dec 2020 20:00:53 +0000

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --without autoreconf --buildsystem=meson

override_dh_auto_clean:
	dh_auto_clean
	find . -name '*.o' -delete
	find . -name '*.a' -delete
	rm build -rf

#override_dh_auto_configure:
#	dh_auto_configure -- --with-libzip=no --enable-lua=shared --disable-debug
#	meson setup builddir .
#cd builddir
#meson compile

override_dh_auto_test:
	true

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG

override_dh_auto_install:
	dh_auto_install
	find debian -name naev-confupdate.sh -delete

## naev 0.8.2

=== debian/changelog ===
naev (0.8.2-1) unstable; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Sun, 12 Sep 2021 22:19:28 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,13 @@
 Section: games
 Priority: optional
 Maintainer: Federico Ceratto <federico@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
+ autoconf-archive,
  automake,
  autopoint,
+ binutils-dev,
+ cmake,
+ gettext,
  intltool,
  libfreetype6-dev,
  libgl1-mesa-dev,
@@ -14,12 +18,18 @@
  libpng-dev,
  libsdl2-dev,
  libsdl2-image-dev,
+ libsdl2-mixer-dev,
+ libsuitesparse-dev,
  libvorbis-dev,
- libxml2-dev
-Standards-Version: 4.5.0
-Homepage: http://naev.org
+ libxml2-dev,
+ meson,
+ ninja-build,
+ xvfb
+Standards-Version: 4.5.1
+Homepage: https://naev.org
 Vcs-Browser: https://salsa.debian.org/debian/naev
 Vcs-Git: https://salsa.debian.org/debian/naev.git
+Rules-Requires-Root: no
 
 Package: naev
 Architecture: alpha amd64 arm64 armel armhf hppa i386 ia64 m68k mips mips64el mipsel powerpc powerpcspe ppc64 ppc64el riscv64 s390x sh4 sparc64 x32

=== debian/watch ===
version=4

opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/naev-$1\.tar\.gz/ \
  https://github.com/naev/naev/tags .*/v?(\d\.\d\.\d)\.tar\.gz
